<?php
/**
* @file
* @brief    Aktirovka module
* @author   Ruslan Tyan
* @version  3.8.3
* @remarks  Copyright (C) 2010-2021 Ruslan Tyan
* @remarks  Licensed under GNU/GPLv3, see https://www.gnu.org/licenses/gpl-3.0.html
* @see      https://tjan.ru/
*/

class ModAktirovkaHelper
{
public static function getHello($params)
{
$currenturl = JURI::current();
$aktirovkaurl = JURI::root().'/modules/mod_aktirovka/';
$blockformawidth = $params->get('blockformawidth');
$knpfa = $params->get('knpfa');
$zagolovok = $params->get('zagolovok');
$parallel = $params->get('parallel');
$smena = $params->get('smena');
$locality = $params->get('locality');
$locality1 = $params->get('locality1');
$locality1parallel = $params->get('locality1parallel');
$locality1on = $params->get('locality1on');
$locality2 = $params->get('locality2');
$locality2parallel = $params->get('locality2parallel');
$locality2on = $params->get('locality2on');
$soderjimoe1 = JText::_('MOD_AKTIROVKA_SODERJIMOE_1');
$soderjimoe2 = JText::_('MOD_AKTIROVKA_SODERJIMOE_2');
$soderjimoe3 = JText::_('MOD_AKTIROVKA_SODERJIMOE_3');
?>
<link rel="stylesheet" href="<?=$aktirovkaurl?>css/style.css">
<script src="<?=$aktirovkaurl?>js/jquery.min.js"></script>
<script src="<?=$aktirovkaurl?>js/script.js"></script>
<div class="blockforma" style="width: <?=$blockformawidth?>px;">
	<div class="blockcentr" style="display: none;">
		<label class="openokno">X</label>
		<div class="zagolovoka">
			<?=$zagolovok?>
		</div>
		<div class="smena">
			<?=$smena?> <?=$soderjimoe3?>
		</div>
		<div class="locality">
			<?=$locality?>
		</div>
		<div class="soderjimoe">
			<?=$soderjimoe1?> <big>1-<?=$parallel?> <?=$soderjimoe2?></big>
		</div>
<?php if ($locality1on == 1){?>
		<div class="locality">
			<?=$locality1?>
		</div>
		<div class="soderjimoe">
			<?=$soderjimoe1?> <big>1-<?=$locality1parallel?> <?=$soderjimoe2?></big>
		</div>
<?php ;} if ($locality2on == 1) {?>
		<div class="locality">
			<?=$locality2?>
		</div>
		<div class="soderjimoe">
			<?=$soderjimoe1?> <big>1-<?=$locality2parallel?> <?=$soderjimoe2?></big>
		</div>
<?php ;}?>
	</div>
	<div class="knpf">
		<?=$knpfa?>
	</div>
</div>
<?php }}?>